Subject: bug#67150: eglot with typescript language server >= 4.1.0

From: João Távora <[email-masked]>
Date: Mon, 13 Nov 2023 16:49:32 +0000

On Mon, Nov 13, 2023 at 4:42 PM Rajeev N <[email-masked]> wrote:
>
> I am running the latest stable branch of emacs with the latest eglot from stable.

I'm sorry I don't know what "latest eglot from stable" is.

M-x emacs-version and the contents of the Version: header in the eglot.el
file are what's needed usually.

> The following fixed the issue for me.
>
> (add-to-list 'eglot-server-programs
>              `(((js-mode :language-id "javascript")
>                 (js-ts-mode :language-id "javascript")
>                 (tsx-ts-mode  :language-id "typescriptreact")
>                 typescript-ts-mode typescript-mode)
>                .
>                ("typescript-language-server" "--stdio")))

Oh, so "tsx" is not a valid language ID?  For this particular
server, this particular server version, or universally?
How the heck are clients supposed  to know that?

IOW where did you glean this information about language ids from?

Anyway, I think your modification makes sense regardless.

João